%global modname flask-multistatic
%global sum A simple flask plugin to allow overriding static files

%if 0%{?fedora}
%global with_python3 1
%endif

Name:               python-flask-multistatic
Version:            1.0
Release:            1%{?dist}
Summary:            %{sum}

License:            BSD
URL:                https://pagure.io/flask-multistatic/
Source0:            https://pypi.python.org/packages/source/f/flask-multistatic/flask-multistatic-%{version}.tar.gz
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-flask

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-flask
%endif


%description
Simple flask plugin allowing to override static files, making theming flask
applications really easy.


%package -n     python2-%{modname}
Summary:        %{sum}
Requires:       python-flask

%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
Simple flask plugin allowing to override static files, making theming flask
applications really easy.



%if 0%{?with_python3}
%package -n         python3-%{modname}
Summary:            %{sum}
Requires:           python3-flask

%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-flask-multistatic
Simple flask plugin allowing to override static files, making theming flask
applications really easy.
%endif


%prep
%autosetup -n %{modname}-%{version}

rm -rf %{modname}.egg-info


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif


%files -n python2-%{modname}
%doc README.rst
%license LICENSE
%{python2_sitelib}/flask_multistatic.py*
%{python2_sitelib}/flask_multistatic-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/flask_multistatic.py*
%{python3_sitelib}/__pycache__/flask_multistatic*
%{python3_sitelib}/flask_multistatic-%{version}-*
%endif


%changelog
* Thu Feb 11 2016 Pierre-Yves Chibon <pingou@pingoured.fr> - 1.0-1
- initial package for Fedora
